Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1
Enum EndReasonType

    java.lang.Object
      java.lang.Enum<EndReasonType>
          be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.EndReasonType

All Implemented Interfaces:
  Serializable, Comparable<EndReasonType>

    public enum EndReasonType

extends Enum<EndReasonType>

Java class for EndReasonType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="EndReasonType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="DECEASED"/>
         <enumeration value="LEFT_TO_WZC"/>
         <enumeration value="LEFT_TO_CVK"/>
         <enumeration value="LEFT_TO_DVC"/>
         <enumeration value="LEFT_TO_CLINIC"/>
         <enumeration value="LEFT_TO_PVT"/>
         <enumeration value="LEFT_TO_IBW"/>
         <enumeration value="LEFT_TO_HOME"/>
         <enumeration value="TEMPORARY_ABSENCE_MORE_THAN_72H"/>
         <enumeration value="OTHER_REASON"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`DECEASED`
`LEFT_TO_CLINIC`
`LEFT_TO_CVK`
`LEFT_TO_DVC`
`LEFT_TO_HOME`
`LEFT_TO_IBW`
`LEFT_TO_PVT`
`LEFT_TO_WZC`
`OTHER_REASON`
`TEMPORARY_ABSENCE_MORE_THAN_72_H`

Method Summary
`static EndReasonType` | `fromValue(String v)`
`String` | `value()`
`static EndReasonType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EndReasonType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DECEASED

    public static final EndReasonType DECEASED

### LEFT_TO_WZC

    public static final EndReasonType LEFT_TO_WZC

### LEFT_TO_CVK

    public static final EndReasonType LEFT_TO_CVK

### LEFT_TO_DVC

    public static final EndReasonType LEFT_TO_DVC

### LEFT_TO_CLINIC

    public static final EndReasonType LEFT_TO_CLINIC

### LEFT_TO_PVT

    public static final EndReasonType LEFT_TO_PVT

### LEFT_TO_IBW

    public static final EndReasonType LEFT_TO_IBW

### LEFT_TO_HOME

    public static final EndReasonType LEFT_TO_HOME

### TEMPORARY_ABSENCE_MORE_THAN_72_H

    public static final EndReasonType TEMPORARY_ABSENCE_MORE_THAN_72_H

### OTHER_REASON

    public static final EndReasonType OTHER_REASON

Method Detail

### values

    public static EndReasonType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EndReasonType c : EndReasonType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EndReasonType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static EndReasonType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.